## ocaml-spawn 0.17.0

=== Makefile ===
INSTALL_ARGS := $(if $(PREFIX),--prefix $(PREFIX),)

# Default rule
default:
	dune build @install

install:
	dune install $(INSTALL_ARGS)

uninstall:
	dune uninstall $(INSTALL_ARGS)

reinstall: uninstall reinstall

all-supported-ocaml-versions:
	dune build @install @runtest --workspace dune-workspace.dev

clean:
	dune clean

test:
	dune runtest

promote:
	dune promote

fmt:
	dune build @fmt --auto-promote

.PHONY: default install uninstall reinstall clean test

=== debian/changelog ===
ocaml-spawn (0.17.0-1) unstable; urgency=medium

  * Initial release (Closes: #1114494)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 06 Sep 2025 11:05:24 +0200

=== debian/control ===
Source: ocaml-spawn
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Stéphane Glondu <glondu@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 ocaml,
 ocaml-dune,
 libppx-expect-ocaml-dev <!nocheck>,
 dh-ocaml (>= 2)
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/janestreet/spawn
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-spawn
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-spawn.git

Package: libspawn-ocaml-dev
Provides: ${ocaml:Provides}
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Recommends:
 ocaml-findlib,
Description: spawning sub-processes (development)
 Spawn is a small OCaml library exposing only one functionality:
 spawning sub-process.
 .
 It has three main goals:
  1. provide missing features of Unix.create_process such as providing
     a working directory
  2. provide better errors when a system call fails in the
     sub-process. For instance if a command is not found, you get a
     proper [Unix.Unix_error] exception
  3. improve performance by using vfork when available. It is often
     claimed that nowadays fork is as fast as vfork, however in
     practice fork takes time proportional to the process memory while
     vfork is constant time. In application using a lot of memory,
     vfork can be thousands of times faster than fork.
 .
 This package contains development files.

Package: libspawn-ocaml
Provides: ${ocaml:Provides}
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Description: spawning sub-processes (runtime)
 Spawn is a small OCaml library exposing only one functionality:
 spawning sub-process.
 .
 It has three main goals:
  1. provide missing features of Unix.create_process such as providing
     a working directory
  2. provide better errors when a system call fails in the
     sub-process. For instance if a command is not found, you get a
     proper [Unix.Unix_error] exception
  3. improve performance by using vfork when available. It is often
     claimed that nowadays fork is as fast as vfork, however in
     practice fork takes time proportional to the process memory while
     vfork is constant time. In application using a lot of memory,
     vfork can be thousands of times faster than fork.
 .
 This package contains runtime files.

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://api.github.com/repos/janestreet/typerep/releases?per_page=50 \
https://github.com/janestreet/typerep/releases/download/[^/]+/spawn-v?@ANY_VERSION@\.tbz
